## mingw-w64-python-cx-freeze-8.0.0-1.src.tar.zst

=== requirements.txt ===
filelock>=3.12.3
packaging>=24
setuptools>=65.6.3,<=75.8.0
tomli>=2.0.1 ;python_version < '3.11'
typing_extensions>=4.10.0 ;python_version < '3.10'
patchelf>=0.14 ;sys_platform == 'linux' and platform_machine == 'x86_64'
patchelf>=0.14 ;sys_platform == 'linux' and platform_machine == 'i686'
patchelf>=0.14 ;sys_platform == 'linux' and platform_machine == 'aarch64'
patchelf>=0.14 ;sys_platform == 'linux' and platform_machine == 'armv7l'
patchelf>=0.14 ;sys_platform == 'linux' and platform_machine == 'ppc64le'
patchelf>=0.14 ;sys_platform == 'linux' and platform_machine == 's390x'
dmgbuild>=1.6.1 ;sys_platform == 'darwin'
cabarchive>=0.2.4 ;sys_platform == 'win32'
cx_Logging>=3.1 ;sys_platform == 'win32'
lief>=0.13.2,<=0.16.4 ;sys_platform == 'win32'
striprtf>=0.0.26 ;sys_platform == 'win32'

=== doc/requirements.txt ===
sphinx==7.4.7
sphinx-new-tab-link==0.7.0
sphinx-tabs==3.4.7
furo==2024.8.6
myst-parser>=3.0.1,<=4.0.1

=== tests/requirements.txt ===
pytest==8.3.5
pluggy==1.5.0
pytest-cov==6.0.0
coverage==7.7.0
pytest-datafiles==3.0.0
pytest-mock==3.14.0
pytest-timeout==2.3.1
pytest-xdist==3.6.1

=== PKGBUILD ===
# Maintainer: Marcelo Duarte https://github.com/marcelotduarte
# Maintainer: Frode Solheim <frode@fs-uae.net>
# Contributor: Duong Pham <dthpham@gmail.com>
# Contributor: Lara Maia <dev@lara.click>

_realname=cx-freeze
pkgbase=mingw-w64-python-${_realname}
pkgname=("${MINGW_PACKAGE_PREFIX}-python-${_realname}")
pkgver=8.0.0
pkgrel=1
pkgdesc="Creates standalone executables from Python scripts, with the same performance (mingw-w64)"
arch=('any')
mingw_arch=('mingw64' 'ucrt64' 'clang64' 'clangarm64')
url="https://github.com/marcelotduarte/cx_Freeze/"
msys2_references=(
  'purl: pkg:pypi/cx-freeze'
)
license=('spdx:PSF-2.0')
depends=(
  "${MINGW_PACKAGE_PREFIX}-python"
  "${MINGW_PACKAGE_PREFIX}-python-filelock"
  "${MINGW_PACKAGE_PREFIX}-python-packaging"
  "${MINGW_PACKAGE_PREFIX}-python-pip"
  "${MINGW_PACKAGE_PREFIX}-python-setuptools"
  "${MINGW_PACKAGE_PREFIX}-python-cx-logging"
)
if [ "${CARCH}" != "aarch64" ]; then
    depends+=("${MINGW_PACKAGE_PREFIX}-python-lief")
fi
makedepends=(
  "${MINGW_PACKAGE_PREFIX}-python-build"
  "${MINGW_PACKAGE_PREFIX}-python-installer"
  "${MINGW_PACKAGE_PREFIX}-cc"
  "${MINGW_PACKAGE_PREFIX}-tools"
)
checkdepends=(
  "${MINGW_PACKAGE_PREFIX}-python-pytest"
  "${MINGW_PACKAGE_PREFIX}-python-pytest-cov"
  "${MINGW_PACKAGE_PREFIX}-python-pytest-datafiles"
  "${MINGW_PACKAGE_PREFIX}-python-pytest-mock"
  "${MINGW_PACKAGE_PREFIX}-python-pytest-timeout"
  "${MINGW_PACKAGE_PREFIX}-python-pytest-xdist"
)
options=(!strip)
source=(
  "https://pypi.org/packages/source/${_realname::1}/${_realname/-/_}/${_realname/-/_}-${pkgver}.tar.gz"
)
sha256sums=(
  '80e1f87bb152ed0f97f7c6435e0237d44aade99979927c4627771322a25d550d'
)

prepare() {
  cd "${srcdir}"/cx_Freeze-${pkgver}
  # ignore version check for setuptools
  sed -i 's/"setuptools>=.*"/"setuptools"/' pyproject.toml
  sed -i 's/"cabarchive>=.*"/#"cabarchive"/' pyproject.toml
  sed -i 's/"striprtf>=.*"/#"striprtf"/' pyproject.toml

  rm -Rf "${srcdir}"/python-${_realname}-${MSYSTEM}
  cp -a "${srcdir}"/cx_Freeze-${pkgver} "${srcdir}"/python-${_realname}-${MSYSTEM}
}

build() {
  cd python-${_realname}-${MSYSTEM}
  ${MINGW_PREFIX}/bin/python -m build --wheel --skip-dependency-check --no-isolation
}

check() {
  cd python-${_realname}-${MSYSTEM}
  ${MINGW_PREFIX}/bin/pip install cx_Freeze -f dist --no-deps --no-index
  ${MINGW_PREFIX}/bin/pytest -nauto --cov="cx_Freeze"
}

package() {
  cd python-${_realname}-${MSYSTEM}
  MSYS2_ARG_CONV_EXCL="--prefix=" \
    ${MINGW_PREFIX}/bin/python -m installer --prefix=${MINGW_PREFIX} \
    --destdir="${pkgdir}" dist/*.whl
  install -Dm644 LICENSE.md "${pkgdir}${MINGW_PREFIX}/share/licenses/python-${_realname}/LICENSE.md"
}
